#
# spec file for package perl-ExtUtils-PkgConfig
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-ExtUtils-PkgConfig
Version:        1.160000
Release:        lp150.1.6
%define cpan_version 1.16
Provides:       perl(ExtUtils::PkgConfig) = 1.160000
%define cpan_name ExtUtils-PkgConfig
Summary:        Simplistic Interface to Pkg-Config
License:        LGPL-2.1+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/ExtUtils-PkgConfig/
Source0:        https://cpan.metacpan.org/authors/id/X/XA/XAOC/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  pkgconfig
Requires:       pkgconfig
# MANUAL END

%description
The pkg-config program retrieves information about installed libraries,
usually for the purposes of compiling against and linking to them.

ExtUtils::PkgConfig is a very simplistic interface to this utility,
intended for use in the Makefile.PL of perl extensions which bind libraries
that pkg-config knows. It is really just boilerplate code that you would've
written yourself.

%prep
%setup -q -n %{cpan_name}-%{cpan_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes perl-ExtUtils-PkgConfig.doap README

%changelog
* Sat Apr 22 2017 coolo@suse.com
- updated to 1.16
  see /usr/share/doc/packages/perl-ExtUtils-PkgConfig/Changes
  1.16  Thu Apr 20 18:51:36 PDT 2017
  - Add exists() method, and update README (RT#77880)
  - Handle removal of '.' from @INC for Perl 5.24 (RT#120819)
* Thu Apr 23 2015 coolo@suse.com
- extend version to 6 digits to avoid problems with >= 1.121
* Fri Oct  4 2013 coolo@suse.com
- updated to 1.15
  - Gracefully handle empty fields in pkg-config files.
* Tue Jun  4 2013 coolo@suse.com
- updated to 1.14
  - Skip tests for pkg-config binary with the '--max-version' switch on
    OpenBSD 5.2, due to a bug in OpenBSD's implemenation of 'pkg-config'
  - Updated Makefile.PL to use a META_MERGE block with WriteMakefile(); this
    block is what MetaCPAN reads when generating page output
  - Correctly handle major-only versions, like '2' (RT #68246).
  - Updated FSF address and copyrights
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Nov 24 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fix deps
- noarch pkg
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Tue Jan 20 2009 anicka@suse.cz
- update to 1.12
  * Try to fix a test failure.
* Mon Mar 17 2008 anicka@suse.cz
- update to 1.11
  * Fix test failures.
  * If pkg-config isn't found, warn and exit with status 0 instead of
  just dying so that CPAN testers don't send bogus failure reports.
* Wed Jan 23 2008 anicka@suse.cz
- update to 1.09
  * Add support for more pkg-config commands: cflags-only-I,
  cflags-only-other, libs-only-other, and static-libs
  * Fix a test failure in t/4.t
  * Only print failure messages if appropriate; silence test suite.
* Thu Nov  1 2007 anicka@suse.cz
- update to 1.08
  * add Makefile.PL to MANIFEST.
  * In the version macro generator, handle non-numeric version number
  parts by only using the leading digits.
  * Make pkg-config print the errors it encounters so users know
  what went wrong.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jul 29 2005 mjancar@suse.cz
- update to 1.07
* Tue Nov  2 2004 mcihar@suse.cz
- initial packaging
